<!doctype html>
<html>
    <head>
        <title>Index</title>
        <link rel=stylesheet type=text/css href="{{ url_for('static', filename='bootstrap.min.css') }}">
        <link rel=stylesheet type=text/css href="{{ url_for('static', filename='bootstrap.min.js') }}">
    </head>

    <body class="d-flex flex-column h-100">
        <div class="container">
            <div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
                <h5 class="my-0 mr-md-auto font-weight-normal">Financial chat</h5>
                {% if user.admin == '1' %}
                    <nav class="my-2 my-md-0 mr-md-3">
                        <a class="p-2 text-dark" href="{{url_for('create_channel')}}">Create chat channel</a>
                    </nav>
                {% endif %}
                <a class="btn btn-outline-primary" href="logout">Logout</a>
            </div>
            
            
            
            <div class="container">
                <table class="table table-striped table-sm">
                    <tr>
                        <th>ID</th>
                        <th>Chat channel</th>
                        <th>Join chat</th>
                    </tr>
                    {% for chat in chats %}
                    <tr>
                        <td>{{chat.id}}</td>
                        <td>{{chat.name}}</td>
                        <td><a href="/show_chat/{{chat.id}}/">Join chat</a></td>
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
    </body>
</html>